|
|
| version 1.66.2.5.2.2, 2003/03/27 15:45:22 | version 1.72, 2003/11/21 12:36:14 |
|---|---|
| Line 867 Optional Features: | Line 867 Optional Features: |
| Optional Packages: | Optional Packages: |
| --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] | --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] |
| --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) | --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) |
| --with-build-warnings to enable build-time compiler warnings if gcc is used | |
| --with-assertions to enable assertions | |
| --with-charsets=CHARSET,CHARSET,... Enables charsets in root config (windows-1251, | --with-charsets=CHARSET,CHARSET,... Enables charsets in root config (windows-1251, |
| windows-1250 windows-1257 koi8-r; Default is windows-1251) | windows-1250 windows-1257 koi8-r; Default is windows-1251) |
| --with-mysql-client=mysqlclientlib?withparams | --with-mysql-client=mysqlclientlib?withparams |
| Line 1584 fi | Line 1586 fi |
| # Define the identity of the package. | # Define the identity of the package. |
| PACKAGE=parser | PACKAGE=parser |
| VERSION=3.0.HEAD | VERSION=3.1.2beta |
| # Some tools Automake needs. | # Some tools Automake needs. |
| Line 3557 esac | Line 3559 esac |
| # Check whether --with-build-warnings or --without-build-warnings was given. | |
| if test "${with_build_warnings+set}" = set; then | |
| withval="$with_build_warnings" | |
| { echo "$as_me:$LINENO: WARNING: enabling compiler warnings" >&5 | |
| echo "$as_me: WARNING: enabling compiler warnings" >&2;} | |
| CXXFLAGS="$CXXFLAGS -W -Wall -Wstrict-prototypes -Wmissing-prototypes" | |
| fi; | |
| # Check whether --with-assertions or --without-assertions was given. | |
| if test "${with_assertions+set}" = set; then | |
| withval="$with_assertions" | |
| { echo "$as_me:$LINENO: WARNING: enabling assertions" >&5 | |
| echo "$as_me: WARNING: enabling assertions" >&2;} | |
| else | |
| cat >>confdefs.h <<\_ACEOF | |
| #define NDEBUG | |
| _ACEOF | |
| fi; | |
| # Check whether --enable-safe-mode or --disable-safe-mode was given. | # Check whether --enable-safe-mode or --disable-safe-mode was given. |
| if test "${enable_safe_mode+set}" = set; then | if test "${enable_safe_mode+set}" = set; then |
| enableval="$enable_safe_mode" | enableval="$enable_safe_mode" |
| Line 5311 fi | Line 5340 fi |
| for ac_header in signal.h \ | |
| for ac_header in assert.h \ | |
| signal.h \ | |
| unistd.h \ | unistd.h \ |
| process.h \ | process.h \ |
| stddef.h \ | stddef.h \ |
| Line 6065 fi | Line 6096 fi |
| for ac_func in flock \ | for ac_func in flock \ |
| _locking \ | _locking \ |
| fcntl \ | fcntl \ |
| Line 6074 ftruncate \ | Line 6104 ftruncate \ |
| getrusage \ | getrusage \ |
| gettimeofday \ | gettimeofday \ |
| crypt \ | crypt \ |
| sigsetjmp siglongjmp | siglongjmp |
| do | do |
| as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` | as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` |
| Line 6159 fi | Line 6189 fi |
| done | done |
| pa_func=sigsetjmp | |
| echo "$as_me:$LINENO: checking for (maybe built-in) function $pa_func" >&5 | |
| echo $ECHO_N "checking for (maybe built-in) function $pa_func... $ECHO_C" >&6 | |
| cat >conftest.$ac_ext <<_ACEOF | |
| #line $LINENO "configure" | |
| /* confdefs.h. */ | |
| _ACEOF | |
| cat confdefs.h >>conftest.$ac_ext | |
| cat >>conftest.$ac_ext <<_ACEOF | |
| /* end confdefs.h. */ | |
| #ifdef HAVE_SETJMP_H | |
| # include <setjmp.h> | |
| #endif | |
| int | |
| main () | |
| { | |
| $pa_func(0,0); | |
| ; | |
| return 0; | |
| } | |
| _ACEOF | |
| rm -f conftest.$ac_objext | |
| if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 | |
| (eval $ac_compile) 2>&5 | |
| ac_status=$? | |
| echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
| (exit $ac_status); } && | |
| { ac_try='test -s conftest.$ac_objext' | |
| { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | |
| (eval $ac_try) 2>&5 | |
| ac_status=$? | |
| echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
| (exit $ac_status); }; }; then | |
| echo "$as_me:$LINENO: result: yes" >&5 | |
| echo "${ECHO_T}yes" >&6 | |
| cat >>confdefs.h <<_ACEOF | |
| #define `echo "HAVE_$pa_func" | $as_tr_cpp` 1 | |
| _ACEOF | |
| else | |
| echo "$as_me: failed program was:" >&5 | |
| sed 's/^/| /' conftest.$ac_ext >&5 | |
| echo "$as_me:$LINENO: result: no" >&5 | |
| echo "${ECHO_T}no" >&6 | |
| fi | |
| rm -f conftest.$ac_objext conftest.$ac_ext | |
| ac_ext=cc | ac_ext=cc |
| ac_cpp='$CXXCPP $CPPFLAGS' | ac_cpp='$CXXCPP $CPPFLAGS' |
| ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' | ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' |
| Line 6328 fi | Line 6415 fi |
| done | done |
| for ac_func in select | echo "$as_me:$LINENO: checking for select" >&5 |
| do | echo $ECHO_N "checking for select... $ECHO_C" >&6 |
| as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` | if test "$cross_compiling" = yes; then |
| echo "$as_me:$LINENO: checking for $ac_func" >&5 | { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling |
| echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 | See \`config.log' for more details." >&5 |
| if eval "test \"\${$as_ac_var+set}\" = set"; then | echo "$as_me: error: cannot run test program while cross compiling |
| echo $ECHO_N "(cached) $ECHO_C" >&6 | See \`config.log' for more details." >&2;} |
| { (exit 1); exit 1; }; } | |
| else | else |
| cat >conftest.$ac_ext <<_ACEOF | cat >conftest.$ac_ext <<_ACEOF |
| #line $LINENO "configure" | #line $LINENO "configure" |
| Line 6343 _ACEOF | Line 6431 _ACEOF |
| cat confdefs.h >>conftest.$ac_ext | cat confdefs.h >>conftest.$ac_ext |
| cat >>conftest.$ac_ext <<_ACEOF | cat >>conftest.$ac_ext <<_ACEOF |
| /* end confdefs.h. */ | /* end confdefs.h. */ |
| /* System header to define __stub macros and hopefully few prototypes, | |
| which can conflict with char $ac_func (); below. | |
| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since | #ifdef HAVE_SYS_SELECT_H |
| <limits.h> exists even on freestanding compilers. */ | # include <sys/select.h> |
| #ifdef __STDC__ | |
| # include <limits.h> | |
| #else | |
| # include <assert.h> | |
| #endif | #endif |
| /* Override any gcc2 internal prototype to avoid an error. */ | |
| #ifdef __cplusplus | #ifdef HAVE_SYS_SOCKET_H |
| extern "C" | # include <sys/socket.h> |
| { | |
| #endif | #endif |
| /* We use char because int might match the return type of a gcc2 | |
| builtin and then its argument prototype would still apply. */ | #if TIME_WITH_SYS_TIME |
| char $ac_func (); | # include <sys/time.h> |
| /* The GNU C library defines this for functions which it implements | # include <time.h> |
| to always fail with ENOSYS. Some functions are actually named | |
| something starting with __ and the normal name is an alias. */ | |
| #if defined (__stub_$ac_func) || defined (__stub___$ac_func) | |
| choke me | |
| #else | #else |
| char (*f) () = $ac_func; | # ifdef HAVE_SYS_TIME_H |
| #endif | # include <sys/time.h> |
| #ifdef __cplusplus | # else |
| } | # include <time.h> |
| # endif | |
| #endif | #endif |
| #ifdef __STDC__ | |
| int (*f)(int, fd_set *, fd_set *, fd_set *, struct timeval *)=select; | |
| #else | |
| int (*f)()=select; | |
| #endif /* __STDC__ */ | |
| int | int |
| main () | main () |
| { | { |
| return f != $ac_func; | return f != select; |
| ; | |
| return 0; | |
| } | } |
| _ACEOF | _ACEOF |
| rm -f conftest.$ac_objext conftest$ac_exeext | rm -f conftest$ac_exeext |
| if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 |
| (eval $ac_link) 2>&5 | (eval $ac_link) 2>&5 |
| ac_status=$? | ac_status=$? |
| echo "$as_me:$LINENO: \$? = $ac_status" >&5 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| (exit $ac_status); } && | (exit $ac_status); } && { ac_try='./conftest$ac_exeext' |
| { ac_try='test -s conftest$ac_exeext' | |
| { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 | { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 |
| (eval $ac_try) 2>&5 | (eval $ac_try) 2>&5 |
| ac_status=$? | ac_status=$? |
| echo "$as_me:$LINENO: \$? = $ac_status" >&5 | echo "$as_me:$LINENO: \$? = $ac_status" >&5 |
| (exit $ac_status); }; }; then | (exit $ac_status); }; }; then |
| eval "$as_ac_var=yes" | |
| else | |
| echo "$as_me: failed program was:" >&5 | |
| sed 's/^/| /' conftest.$ac_ext >&5 | |
| eval "$as_ac_var=no" | cat >>confdefs.h <<\_ACEOF |
| fi | #define HAVE_SELECT |
| rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext | |
| fi | |
| echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5 | |
| echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6 | |
| if test `eval echo '${'$as_ac_var'}'` = yes; then | |
| cat >>confdefs.h <<_ACEOF | |
| #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1 | |
| _ACEOF | _ACEOF |
| echo "$as_me:$LINENO: result: yes" >&5 | |
| echo "${ECHO_T}yes" >&6 | |
| else | else |
| { { echo "$as_me:$LINENO: error: No select library function." >&5 | echo "$as_me: program exited with status $ac_status" >&5 |
| echo "$as_me: failed program was:" >&5 | |
| sed 's/^/| /' conftest.$ac_ext >&5 | |
| ( exit $ac_status ) | |
| { { echo "$as_me:$LINENO: error: No select library function." >&5 | |
| echo "$as_me: error: No select library function." >&2;} | echo "$as_me: error: No select library function." >&2;} |
| { (exit 1); exit 1; }; } | { (exit 1); exit 1; }; } |
| fi | |
| done | |
| fi | |
| rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext | |
| fi | |
| echo "$as_me:$LINENO: checking for timezone variable" >&5 | echo "$as_me:$LINENO: checking for timezone variable" >&5 |
| Line 6667 sqldriversdir=$e_libdir | Line 6748 sqldriversdir=$e_libdir |
| ac_config_headers="$ac_config_headers src/include/pa_config_auto.h" | ac_config_headers="$ac_config_headers src/include/pa_config_auto.h" |
| ac_config_files="$ac_config_files Makefile src/Makefile src/types/Makefile src/classes/Makefile src/classes/gd/Makefile src/classes/smtp/Makefile src/include/Makefile src/main/Makefile src/sql/Makefile src/lib/Makefile src/lib/patches/Makefile src/lib/gc/Makefile src/lib/gc/include/Makefile src/lib/cord/Makefile src/lib/cord/include/Makefile src/lib/cord/include/private/Makefile src/lib/ltdl/Makefile src/lib/pcre/Makefile src/lib/md5/Makefile src/targets/Makefile src/targets/cgi/Makefile src/targets/apache13/Makefile src/targets/apache13/hook/Makefile src/targets/apache13/p3runConfigure src/targets/isapi/Makefile etc/Makefile etc/parser3.charsets/Makefile bin/Makefile bin/auto.p.dist" | ac_config_files="$ac_config_files Makefile src/Makefile src/types/Makefile src/classes/Makefile src/classes/gd/Makefile src/classes/smtp/Makefile src/include/Makefile src/main/Makefile src/sql/Makefile src/lib/Makefile src/lib/patches/Makefile src/lib/gc/Makefile src/lib/gc/include/Makefile src/lib/cord/Makefile src/lib/cord/include/Makefile src/lib/cord/include/private/Makefile src/lib/ltdl/Makefile src/lib/pcre/Makefile src/lib/md5/Makefile src/lib/sdbm/Makefile src/lib/sdbm/apr-include/Makefile src/targets/Makefile src/targets/cgi/Makefile src/targets/apache13core/Makefile src/targets/apache13/Makefile src/targets/apache13/p3runConfigure src/targets/isapi/Makefile etc/Makefile etc/parser3.charsets/Makefile bin/Makefile bin/auto.p.dist" |
| cat >confcache <<\_ACEOF | cat >confcache <<\_ACEOF |
| # This file is a shell script that caches the results of configure | # This file is a shell script that caches the results of configure |
| # tests run on this system so they can be shared between configure | # tests run on this system so they can be shared between configure |
| Line 7249 do | Line 7330 do |
| "src/lib/ltdl/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/ltdl/Makefile" ;; | "src/lib/ltdl/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/ltdl/Makefile" ;; |
| "src/lib/pcre/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/pcre/Makefile" ;; | "src/lib/pcre/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/pcre/Makefile" ;; |
| "src/lib/md5/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/md5/Makefile" ;; | "src/lib/md5/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/md5/Makefile" ;; |
| "src/lib/sdbm/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/sdbm/Makefile" ;; | |
| "src/lib/sdbm/apr-include/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/sdbm/apr-include/Makefile" ;; | |
| "src/targets/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/Makefile" ;; | "src/targets/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/Makefile" ;; |
| "src/targets/cgi/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/cgi/Makefile" ;; | "src/targets/cgi/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/cgi/Makefile" ;; |
| "src/targets/apache13core/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13core/Makefile" ;; | |
| "src/targets/apache13/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/Makefile" ;; | "src/targets/apache13/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/Makefile" ;; |
| "src/targets/apache13/hook/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/hook/Makefile" ;; | |
| "src/targets/apache13/p3runConfigure" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/p3runConfigure" ;; | "src/targets/apache13/p3runConfigure" ) CONFIG_FILES="$CONFIG_FILES src/targets/apache13/p3runConfigure" ;; |
| "src/targets/isapi/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/isapi/Makefile" ;; | "src/targets/isapi/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/targets/isapi/Makefile" ;; |
| "etc/Makefile" ) CONFIG_FILES="$CONFIG_FILES etc/Makefile" ;; | "etc/Makefile" ) CONFIG_FILES="$CONFIG_FILES etc/Makefile" ;; |